
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[坑]打rpm包时，注意%post和%postun的执行顺序 / iVAN</title>

    <meta name="description" content="[坑]打rpm包时，注意%post和%postun的执行顺序 问题 掉进坑里面了.最近完成了阿里PHP5.5.25的rpm打包.今天在升级其中一个扩展的时候发现,只要升级成功之后,扩展在配置文件中相关配置项就会被注释掉.最终定位到是spec文件中%postun段写的有问题. spec文件中%postun段的代码示例如下: %postun conf_path=&quot;/php-fpm/lib/php.ini&quot; sed -i 's/^\[tclip\]/;\[tclip\]/g' $conf_path sed -i 's/^extension=t ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[坑]打rpm包时，注意%post和%postun的执行顺序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题</h2>
<p>掉进坑里面了。最近完成了阿里PHP5.5.25的rpm打包。今天在升级其中一个扩展的时候发现，只要升级成功之后，扩展在配置文件中相关配置项就会被注释掉。最终定位到是spec文件中%postun段写的有问题。<br />
spec文件中%postun段的代码示例如下：</p>
<pre><code>%postun
 conf_path="/php-fpm/lib/php.ini"
 sed -i 's/^\[tclip\]/;\[tclip\]/g' $conf_path
 sed -i 's/^extension=tclip.so/;extension=tclip.so/g' $conf_path </code></pre>
<p>代码的作用就是，当删除PHP扩展rpm包的时候，会自动修改配置文件，注释掉扩展配置项。</p>
<h2>原因</h2>
<p>为啥在执行yum update 命令时，会导致扩展的配置项被自动注释掉呢？原因就在于spec执行顺序。<br />
假如你升级前的php-tclip包的版本是1.0。升级后的php-tclip包的版本是2.0。<br />
当你执行<code>yum update php-tclip -y</code> 命令升级时，%post和%postun段的执行顺序如下：<br />
首先，执行新的2.0包spec文件中的%post段代码。<br />
然后，执行旧的1.0包spec文件中的%postun段代码。</p>
<p>当升级时，完整的执行流程如下：<br />
1、执行新包spec文件中 %pre 段.<br />
2、安装新包的相关依赖包.<br />
3、执行新包spec文件中的 %post 段.<br />
4、执行旧包spec文件中的 %preun 段.<br />
5、删除新包中不需要的旧文件。<br />
6、执行旧包spec文件中的 %postun 段.</p>
<h2>解决方案</h2>
<p>其实不同的操作，会传不同的参数给 %postun段。当，传给%postun段的第一个参数是0时，代表卸载。我们的本意只有在卸载的时候，才需要执行%postun段的代码，自动注释php.ini的相关选项。我们只要增加判断就可以了。代码如下：</p>
<pre><code>%postun
 if [ "$1" = "0" ] ; then
 conf_path="/php-fpm/lib/php.ini"
 sed -i 's/^\[tclip\]/;\[tclip\]/g' $conf_path
 sed -i 's/^extension=tclip.so/;extension=tclip.so/g' $conf_path
 fi </code></pre>
<p>完整的参数传递如下：</p>
<h3>%pre和%post段</h3>
<p>当传递的第一个参数为1时，表示新安装一个rpm包。<br />
当传递的第一个参数为2时，表示升级一个已经存在的包。</p>
<h3>%preun和%postun段</h3>
<p>当传递的第一个参数为0时，表示删除一个包。<br />
当传递的第一个参数为1时，表示更新一个包。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 15:23:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[坑]打rpm包时，注意%post和%postun的执行顺序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk26y5M.html" rel="bookmark">linux安装rpm包时遇到Failed dependencies</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  初学linux,把今天遇到问题的解决方法贴出来 环境:Centos 5.5 + MySQL-server-5.5.24-1.linux2.6.x86_64.rpm 遇到的问题: [root@sh158-xen data]#rpm -ivh MySQL-server-5.5.24-1.linux2.6.x86_64.rpm error: Failed dependencies: MySQL conflicts with mysql-5.0.77-4.el5_4.2.x86_64 纠结了半天,终			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrPaWM.html" rel="bookmark">Linux源码包制作RPM包之Apache</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				公司服务器比较多,需要把apache源码包制作成rpm包,然后放到公司内网yum源上进行下载安装.apache的rpm包安装方式比源码安装方式比较快,这能节约不少的时间. 有关内网yum源的搭建,可以参考&lt;烂泥:yum的使用及配置&gt;这篇文章. 一.安装rpm-build 查阅相关资料得知,要把源码包制作成rpm包需要使用rpm打包工具rpm-build. rpm-build通过rpmbuild命令根据本地源码包,通过spec文件中的规则就可以把源码包制作成rpm包. 现在我们来安装rpm-bu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaLD8b.html" rel="bookmark">YUM解决RPM包安装依赖关系及yum工具介绍本地源配置方法详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.背景概述 在实际生产环境下,对于在linux系统上安装rpm包,主要面临两个实际的问题 1)安装rpm包过程中,不断涌现的依赖关系问题,导致需要按照提示或者查询资料,手工安装更多的包 2)由于内外网的隔离,无法连接外网的yum源 鉴于上述因此,本文将详细介绍,yum工具以及配置本地yum源的方法 2.yum工具简介 •yum工具作为rpm包的软件管理器,可以进行rpm包的安装.升级以及删除等日常管理工作,而且对于rpm包之间的依赖关系可以自动分析,大大简化了rpm包的维护成本. •yum工具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR9WOeb.html" rel="bookmark">linux 下载一个rpm包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				RPM是&quot;Redhat Package Manager&quot;的缩写,根据名字也能猜到这是Redhat公司开发出来的. 1. 安装yum-downloadonly sudo yum -y install yum-downloadonly sudo yum -y install --downloadonly 软件名字 2. 1)安装 -i :安装的意思 -v :可视化 -h :显示安装进度 另外在安装一个rpm包时常用的附带参数有: --force 强制安装,即使覆盖属于其他包的文件也要安装			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26kZqb.html" rel="bookmark">yum命令使用指南：添加、删除和更新RPM包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Yum(全称为 Yellow dog http://www.aliyun.com/zixun/aggregation/34037.html&quot;&gt;Updater, Modified)是一个在Fedora和RedHat以及SUSE.CentOS中的Shell前端软件包管理器.基於RPM包管理,能够从指定的服务器自动下载RPM包并且安装,可以自动处理依赖性关系,并且一次安装所有依赖的软体包,无须繁琐地一次次下载.安装. 软体包来源 可供Yum下载的软体包包括Fedora本身的软体包以及源自rpmf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Z6qJM.html" rel="bookmark">制作nginx的RPM包教程&lowbar;nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲述了制作nginx的RPM包的方法,实例如下: 1. 下载nginx源码,直接运行命令: cd /root wget http://nginx.org/download/nginx-1.7.1.tar.gz 在拿到源码包之后,解压,并进入目录: tar zxvf nginx-1.7.1.tar.gz cd nginx-1.7.1 2. 编写SPEC文件 文件名为:nginx.spec Summary: High Performance Web Server Name: nginx Vers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yVKkz.html" rel="bookmark">Redhat下安装RPM包管理工具介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.安装 命令格式: rpm -i ( or --install) options file1.rpm ... fileN.rpm 参数: file1.rpm ... fileN.rpm 将要安装的RPM包的文件名 详细选项: -h (or --hash) 安装时输出hash记号 (``#'') --test 只对安装进行测试,并不实际安装. --percent 以百分比的形式输出安装的进度. --excludedocs 不安装软件包中的文档文件 --includedocs 安装文档 --rep			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PejmM.html" rel="bookmark">在CentOS中用yum命令下载RPM包但不进行安装的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  yum是基于Red Hat的系统(如CentOS.Fedora.RHEl)上的默认包管理器.使用yum,你可以安装或者更新一个RPM包,并且他会自动解决包依赖关系.但是如果你只想将一个RPM包下载到你的系统上该怎么办呢? 例如,你可能想要获取一些RPM包在以后使用,或者将他们安装在另外的机器上. 这里说明了如何从yum仓库上下载一个RPM包. 方法一:yum yum命令本身就可以用来下载一个RPM包,标准的yum命令提供了--downloadonly(只下载)的选项来达到这个目的. 代码如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwx44mb.html" rel="bookmark">RHCE学习&amp;lt&semi;3&amp;gt&semi;NFS、Samba、ACL权限、SELinux和RPM包管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.NFS网络文件共享服务 1.简单介绍 NFS包含3个版本:NFSv2.NFSv3.NFSv4 RHEL6是以NFSv4作为默认版本,NFSv4使用TCP协议,默认NFS占用5个端口,1个NFS端口(2049),四个动态端口,而老版本的NFS可以在TCP协议或者是UDP协议上运行. /etc/exports:NFS服务的主配置文件,该文件的最主要目的是发布共享目录并为共享目录限制权限. /var/lib/nfs/xtab:这个文件主要用来记录客户端与NFS服务器的连接记录. 格式:共享目录 客			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR9Gxb.html" rel="bookmark" class="title">甲骨文向MySQL用户开发者客户做出十项承诺</a>
					<div>
						最近时期甲骨文与SUN公司的合并是许多开发者十分关注的问题,主要因为MYSQL这一数据库的易主可能会引起新的变化,本周甲骨文向MySQL用户.开发者.客户做出十项承诺. 甲骨文公司与欧盟委员会就甲骨文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze1WVz.html" rel="bookmark" class="title">如何保持Oracle数据库的优良性能</a>
					<div>
						oracle|数据|数据库|性能 作者:Brent Oracle数据库以其高可靠性.安全性.可兼容性,得到越来越多的企业的青睐.如何使Oracle数据库保持优良性能,这是许多数据库管理员关心的问题,根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKoALb.html" rel="bookmark" class="title">与用户体验的这两年</a>
					<div>
						国内网站真正流行并重视用户体验不超过两年,我相信大部分从业者的研究资历也仅限于此.区别在于,因功底和个体差异影响到的对新概念的理解突破,我的经历大概可以从两个方面来描述: 概念理解:用户体验 -- 以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKGVVp.html" rel="bookmark" class="title">什么是网格数据库</a>
					<div>
						网格计算已经成为热点,它所带来的低成本.高性能以及方便的计算资源共享正是众多企业所追求的.未来的数据库将构筑在网格计算环境之上. RAC(Real Application Cluster,真正应用集群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKLjNp.html" rel="bookmark" class="title">常用算法&lpar;C&num;&rpar;&colon; 计算 1&plus;2&lpar;2次方&rpar;&plus;3&lpar;3次方&rpar;&plus;&period;&period;&period;&plus;n&lpar;n次方&rpar;的值</a>
					<div>
						using System; using System.Collections.Generic; using System.Text; namespace ExSum { class Sum { pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm74Jab.html" rel="bookmark" class="title">WPF中TreeView&period;BringIntoView方法的替代方案</a>
					<div>
						WPF中TreeView.BringIntoView()方法并不是那么地好用,不少时候会没有效果,这里有一个替代方案,调用SelectItem()方法可以展开并呈现TreeView上指定的Item:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW16Kjz.html" rel="bookmark" class="title">Dreamweaver最全快捷方式命令</a>
					<div>
						                        					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyJ9db.html" rel="bookmark" class="title">Android 通用型手电筒代码</a>
					<div>
						  说到手机手电筒功能,很多人都是直接调用闪光灯,而本文给大家介绍的是用相机功能来实现的,有需要的小伙伴可以参考下. 前几天这边一个小区断电,黑麻麻的,一只猫闯进寝室,把我吓哭,然后就果断写了个手电筒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yqarz.html" rel="bookmark" class="title">如何在wps表格中绘制折线图</a>
					<div>
						  在wps表格中绘制折线图的方法: 首先,在准备数据前新建一个excel文档,放在桌面上. 然后双击点开,在sheet1空白部位输入自己想要分析的数据,如工资或财务报表,图中列举了一年十二个月工资. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze74j7M.html" rel="bookmark" class="title">原生javascript实现图片按钮切换</a>
					<div>
						 这篇文章主要介绍了原生javascript实现图片按钮切换,需要的朋友可以参考下     先给大家看下效果展示图 以下为详细代码:   代码如下: function LGY_picSwitch(op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArrK3p.html" rel="bookmark" class="title">macbook pro 2016发布时间</a>
					<div>
						  macbook pro 2016发布时间          macbook pro 2016发布时间从iphone7发布会开始一直等,终于在北京时间10月20日凌晨消息,今日苹果向媒体公开邀请涵, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLJm8b.html" rel="bookmark" class="title">在 Word 中的问题疑难解答初学者指南</a>
					<div>
						本文提供了一个系统化的方法来帮助您解决各种错误消息和 Microsoft Word 中的问题.您可以使用下列方法之一来解决各种错误消息和 Word 中的问题: •手动 •使用支持模板中的实用程序的疑难 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnnvp.html" rel="bookmark" class="title">Win8还需要虚拟内存么？</a>
					<div>
						虚拟内存是计算机系统内存管理的一种技术.它使得应用程序认为它拥有连续的可用的内存(一个连续完整的地址空间),而实际上,它通常是被分隔成多个物理内存碎片,还有部分暂时存储在外部磁盘存储器上,在需要时进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnxep.html" rel="bookmark" class="title">Photoshop详细解析5种模糊效果</a>
					<div>
						  一.移轴模糊 让图像达到&quot;玩具城&quot;效果,需要用到的就是移轴模糊.这种模糊效果可以让图片的前景保持清晰而模糊图片的背景.     二.高斯模糊 这个模糊效果可以让人仿佛透过一种半 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArKV3p.html" rel="bookmark" class="title">扩展MemberShip的使用：</a>
					<div>
						扩展MemberShip的使用:自己添加一个表,用来存储用户信息:当用户注册成功的时候,同时记录下用户的其他信息.public void CreateUser_OnClick(object sende ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NeZjM.html" rel="bookmark" class="title">AI大牛们都去哪儿了：2016年度AI人才流动大盘点 &vert; 2016 影响因子</a>
					<div>
						2016年频繁曝出人工智能学术和研究大牛投身工业界的消息,这意味着AI从实验室到街头巷尾的&quot;落地&quot;又迈进了一大步. 在学术界,今年主要的人事流动包括:李飞飞.Russ Salakh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo1LGb.html" rel="bookmark" class="title">如何在获取celery中的任务执行情况</a>
					<div>
						开始以为在flower中获取,原来flower也是从celery中获取的. 如果直接用celery命令,一直会提示拒绝连接. 网上说了,用django命令就可以的. 于是试了下,OK了. 这样,至少可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKBZBb.html" rel="bookmark" class="title">delphi-Delphi XE8 FMX&period;TStringGrid Options 代码添加</a>
					<div>
						问题描述 Delphi XE8 FMX.TStringGrid Options 代码添加 以前直接是grdTableData.Options:=grdTableData.Options-[Column ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rkO3p.html" rel="bookmark" class="title">c&plus;&plus;-文件目录的拷贝程序：实现符合条件的文件拷贝功能</a>
					<div>
						问题描述 文件目录的拷贝程序:实现符合条件的文件拷贝功能 C++实现 (支持子目录结构,通过命令行参数完成,文件名支持通配符&quot;*&quot;,如 .zip *abc.rar) 命令行参数格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL1nVp.html" rel="bookmark" class="title">做淘宝女装如何解决库存这个致命伤</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在淘宝女装的世界中流传着这样一句话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRYXYp.html" rel="bookmark" class="title">PostgreSQL 9&period;6 引领开源数据库攻克多核并行计算难题</a>
					<div>
						PostgreSQL 9.6 引领开源数据库攻克多核并行计算难题 作者 digoal 日期 2016-10-01 标签 PostgreSQL , 9.6 , 并行计算 , 多核计算 背景 经过多年的酝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0ZnkM.html" rel="bookmark" class="title">mysql Replace INTO 实例教程</a>
					<div>
						mysql Replace INTO 实例教程 Replace INTO和INSERT INTO的区别,我和他说晚上上我的blog看吧,那时候还在忙,现在从MYSQL手册里找了点东西,MYSQL手册里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5D2p.html" rel="bookmark" class="title">Mysql性能优化案例 - 覆盖索引分享&lowbar;Mysql</a>
					<div>
						场景 产品中有一张图片表,数据量将近100万条,有一条相关的查询语句,由于执行频次较高,想针对此语句进行优化 表结构很简单,主要字段: 复制代码 代码如下: user_id 用户ID picname  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZxwAz.html" rel="bookmark" class="title">JavaScript的注入引出技术诈骗</a>
					<div>
						0×01 前言 在最近的恶意软件的调查中,我们发现了一些有趣的混淆JavaScript代码.此代码伪装成现在流行的插件AddThis social sharing的一部分,在URL命名约定和图像文件中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4X8oz.html" rel="bookmark" class="title">Java防止SQL注入的几个途径</a>
					<div>
						Java防SQL注入,最简单的办法是杜绝SQL拼接,SQL注入攻击能得逞是因为在原有SQL语句中加入了新的逻辑,如果使用PreparedStatement来代替Statement来执行SQL语句,其后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNW2BM.html" rel="bookmark" class="title">一图胜千言，阿里云视觉大数据智能计算实践</a>
					<div>
						以下内容根据演讲PPT以及现场分享整理而成. 引言 在大数据世界里面,视觉大数据应该是量级最大的.之前讲的天文的数据量非常大的,但其实天文的数据也是天眼的数据,说到底还是视觉的数据. 视觉智能计算并不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL57naz.html" rel="bookmark" class="title">正则表达式学习经验分析第1&sol;2页&lowbar;正则表达式</a>
					<div>
						  当然,为了指定一种模式,使用...这种记号是不够精确的.你需要精确地指定什么样的字符排列是一个合法的匹配.当描述某种模式时,你需要使用一种特殊的语法.   这里有一个简单例子.正则表达式 [Jj] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QZVRM.html" rel="bookmark" class="title">js正则匹配出内容中图片及所有图片地址src</a>
					<div>
						实现:通过js正则匹配出所有图片及所有图片地址src. 思路:1.匹配出图片img标签(即匹配出所有图片),过滤其他不需要的字符 2.从匹配出来的结果(img标签中)循环匹配出图片地址(即src属性) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKN5vM.html" rel="bookmark" class="title">mcrypt启用 加密以及解密过程详细解析&lowbar;php技巧</a>
					<div>
						Mcrypt扩展库可以实现加密解密功能,就是既能将明文加密,也可以密文还原. 1.PHP加密扩展库Mcrypt安装在标准的PHP安装过程中并没有把Mrcypt安装上,但PHP的主目录下包含了libmc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7ZvqM.html" rel="bookmark" class="title">Javascript学习笔记之 函数篇（三） &colon; 闭包和引用&lowbar;基础知识</a>
					<div>
						Javascript 中一个最重要的特性就是闭包的使用.因为闭包的使用,当前作用域总可以访问外部的作用域.因为 Javascript 没有块级作用域,只有函数作用域,所以闭包的使用与函数是紧密相关的. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
